# runs.list

`GET /api/public/v1/runs`

Runs newest first; filter by flow, schedule, status (or open = not finished) and created before a time.

- Capability: `workflow.read`
- Command: no
- MCP tool: `runs_list`

## Parameters

| Name | In | Type | Required | Description |
|---|---|---|---|---|
| `flow_id` | query | string (uuid) | no |  |
| `schedule_id` | query | string (uuid) | no |  |
| `status` | query | "open" \| "queued" \| "starting" \| "running" \| "pause_requested" \| "paused" \| "stop_requested" \| "succeeded" \| … | no | open = not finished yet |
| `before` | query | string (date-time) | no | Only runs created before this time (next page: created_at of the last row) |
| `limit` | query | integer | no | (min 1, max 200) Default: `50`. |

## Response

`200` with `{ data, correlation_id }`.

The field list of this reply is not published yet; read `data` as JSON.

## Errors

| Code | HTTP | Retryable |
|---|---|---|
| `UNAUTHENTICATED` | 401 | no |
| `FORBIDDEN` | 403 | no |
| `RATE_LIMITED` | 429 | yes |
| `VALIDATION_FAILED` | 422 | no |
| `DEPENDENCY_UNAVAILABLE` | 503 | yes |
| `UNKNOWN` | 500 | no |

## Example (curl)

```bash
curl "https://browlix.com/api/public/v1/runs" \
  -H "Authorization: Bearer $BROWLIX_API_KEY"
```

## Example (TypeScript SDK)

```ts
import { Browlix } from "@browlix/sdk";

const bx = new Browlix({ apiKey: process.env.BROWLIX_API_KEY! });
const reply = await bx.call("runs.list");
console.log(reply.data);
```

## Example (Python)

```python
import os
import requests

r = requests.get(
    "https://browlix.com/api/public/v1/runs",
    headers={"Authorization": f"Bearer {os.environ['BROWLIX_API_KEY']}"},
    timeout=60,
)
print(r.status_code, r.json())
```

## Example (MCP)

```json
{
  "method": "tools/call",
  "params": {
    "name": "runs_list",
    "arguments": {}
  }
}
```
